Subject: Contradiction in manual page "The Mark and the Region"

From: Alan Mackenzie <[email-masked]>
Date: Fri, 7 Oct 2011 09:47:29 +0000

Hi, Emacs.

In manual page "The Mark and the Region", an "active mark" is defined as
the region being highlighted.

Lower down the page, it says that with transient-mark-mode disabled, the
mark is always active.  This use of "active" contradicts the definition
given above.

This could be fixed by redefining "active" to mean "you can use commands
which use the mark", or something like that.

Alternatively, one could say that with t-m-m disabled, "the mark is
always inactive, but you can always use in commands".

Second alternative:  With transient-mark-mode disabled "the region is not
highlighted at all".

-- 
Alan Mackenzie (Nuremberg, Germany).